Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232728 - Review Request: ws-common-utils - Common utilities from the Apache Web Services Project
Summary: Review Request: ws-common-utils - Common utilities from the Apache Web Servic...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 232725 233004
TreeView+ depends on / blocked
 
Reported: 2007-03-16 21:10 UTC by Anthony Green
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-20 01:52:55 UTC
overholt: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Anthony Green 2007-03-16 21:10:13 UTC
Spec URL: http://people.redhat.com/green/FE/devel/ws-common-utils.spec
SRPM URL: http://people.redhat.com/green/FE/devel/ws-commons-util-1.0.1-1.src.rpm
Description: 
This is version 1.0.1 of the common utilities from the Apache Web
Services Project.

Comment 1 Anthony Green 2007-03-16 21:13:21 UTC
(In reply to comment #0)
> Spec URL: http://people.redhat.com/green/FE/devel/ws-common-utils.spec

Oops.  This is really...
http://people.redhat.com/green/FE/devel/ws-commons-util.spec


Comment 2 Andrew Overholt 2007-03-19 15:20:27 UTC
APPROVED.  Thanks, Anthony!

MUST:
* package is named appropriately
* it is legal for Fedora to distribute this?
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* verify source and patches
* summary and description okay
* correct buildroot
* %{?dist} used properly
* license text included in package and marked with %doc
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on ws-commons-util-1.0.1-1.src.rpm gives no output
* changelog fine
* Packager tag not used
* Vendor tag not used
* Distribution tag not used
* License and not Copyright used 
* Summary tag does not end in a period
* no PreReq
* specfile is legible
* package successfully compiles and builds on at least x86
* BuildRequires are proper
* summary should be a short and concise description of the package
* description expands upon summary
* lines are <= 80 characters (where appropriate)
* specfile written in American English
* no -doc sub-package necessary
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* not a GUI app
* no -devel sub-package necessary
* macros used appropriately and consistently
* %makeinstall not used
* no locale data
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* file permissions okay; %defattrs present
* %clean present
* %doc files do not affect runtime
* not a web app
* verify the final provides and requires of the binary RPMs
  $ rpm -qp --provides ../RPMS/i386/ws-commons-util-javadoc-1.0.1-1.i386.rpm
  ws-commons-util-javadoc = 1.0.1-1
  $ rpm -qp --provides ../RPMS/i386/ws-commons-util-1.0.1-1.i386.rpm 
  ws-commons-util-1.0.1.jar.so  
  ws-commons-util = 1.0.1-1
* run rpmlint on the binary RPMs
  $ rpmlint ../RPMS/i386/ws-commons-util-1.0.1-1.i386.rpm 
  $ rpmlint ../RPMS/i386/ws-commons-util-javadoc-1.0.1-1.i386.rpm
  W: ws-commons-util-javadoc non-standard-group Development/Documentation

SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
? package should build in mock
  . I haven't tried, but I don't anticipate any problems.

Comment 3 Anthony Green 2007-03-19 15:39:02 UTC
New Package CVS Request
=======================
Package Name: ws-common-utils
Short Description: Common utilities from the Apache Web Services Project
Owners: green@redhat.com
Branches: devel




Note You need to log in before you can comment on or make changes to this bug.